# compass-install-rails.rb

Path: | lib/compass/app_integration/rails/templates/compass-install-rails.rb
Last Update: | Thu Mar 08 22:45:25 +0000 2012

###### ===========================================================

Compass Ruby on Rails Installer (template) v.1.0 written by Derek Perez (derek@derekperez.com)

NOTE: This installer is designed to work as a Rails template, and can only be used with Rails 2.3+.

Copyright (c) 2009 Derek Perez

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

###### ===========================================================

### Methods

sudo_is_an_option?

### Public Instance methods

sudo_is_an_option?()

Determine if we use sudo, defaults to true unless we are on win32, cygwin, or mingw32 or they ask us not to

[Validate]